Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::EncodedVideoFrameInfo Struct Reference

`#include <AgoraBase.h>`

## Public Member Functions
| EncodedVideoFrameInfo ()
| EncodedVideoFrameInfo (const EncodedVideoFrameInfo &rhs)
EncodedVideoFrameInfo & | operator= (const EncodedVideoFrameInfo &rhs)

## Public Attributes
VIDEO_CODEC_TYPE | codecType
int | width
int | height
int | framesPerSecond
VIDEO_FRAME_TYPE | frameType
VIDEO_ORIENTATION | rotation
int | trackId
int64_t | captureTimeMs
int64_t | decodeTimeMs
VIDEO_STREAM_TYPE | streamType
int64_t | presentationMs

## Constructor & Destructor Documentation

## ◆ EncodedVideoFrameInfo() [1/2]

agora::rtc::EncodedVideoFrameInfo::EncodedVideoFrameInfo | ( |  | ) |
| inline

## ◆ EncodedVideoFrameInfo() [2/2]

agora::rtc::EncodedVideoFrameInfo::EncodedVideoFrameInfo | ( | const EncodedVideoFrameInfo & | rhs | ) |
| inline

## Member Function Documentation

## ◆ operator=()

EncodedVideoFrameInfo & agora::rtc::EncodedVideoFrameInfo::operator= | ( | const EncodedVideoFrameInfo & | rhs | ) |
| inline

## Member Data Documentation

## ◆ codecType

VIDEO_CODEC_TYPE agora::rtc::EncodedVideoFrameInfo::codecType

The codec type of the local video stream. See `VIDEO_CODEC_TYPE`. The default value is `VIDEO_CODEC_H264 (2)`.

## ◆ width

int agora::rtc::EncodedVideoFrameInfo::width

Width (pixel) of the video frame.

## ◆ height

int agora::rtc::EncodedVideoFrameInfo::height

Height (pixel) of the video frame.

## ◆ framesPerSecond

int agora::rtc::EncodedVideoFrameInfo::framesPerSecond

The number of video frames per second. When this parameter is not `0`, you can use it to calculate the Unix timestamp of externally encoded video frames.

## ◆ frameType

VIDEO_FRAME_TYPE agora::rtc::EncodedVideoFrameInfo::frameType

The video frame type. See `VIDEO_FRAME_TYPE`.

## ◆ rotation

VIDEO_ORIENTATION agora::rtc::EncodedVideoFrameInfo::rotation

The rotation information of the video frame. See `VIDEO_ORIENTATION`.

## ◆ trackId

int agora::rtc::EncodedVideoFrameInfo::trackId

Reserved for future use.

## ◆ captureTimeMs

int64_t agora::rtc::EncodedVideoFrameInfo::captureTimeMs

The Unix timestamp (ms) for capturing the external encoded video frames.

## ◆ decodeTimeMs

int64_t agora::rtc::EncodedVideoFrameInfo::decodeTimeMs

The Unix timestamp (ms) for decoding the external encoded video frames.

## ◆ streamType

VIDEO_STREAM_TYPE agora::rtc::EncodedVideoFrameInfo::streamType

The type of video streams. See `VIDEO_STREAM_TYPE`.

## ◆ presentationMs

int64_t agora::rtc::EncodedVideoFrameInfo::presentationMs